import { IAuthUser } from '@bleco/authentication';
import { Gender, ModelTypes, UserUpdatableEntity } from '@loopx/core';
import { TenantWithRelations } from './tenant.model';
import { UserCredentials, UserCredentialsWithRelations } from './user-credentials.model';
import { UserTenant, UserTenantWithRelations } from './user-tenant.model';
export declare class User extends UserUpdatableEntity implements IAuthUser {
    id?: string;
    name?: string;
    firstName?: string;
    lastName?: string;
    middleName?: string;
    photoUrl?: string;
    username: string;
    email?: string;
    phone?: string;
    authClientIds?: number[];
    lastLogin?: Date;
    dob?: Date;
    gender?: Gender;
    credentials: UserCredentials;
    defaultTenantId: string;
    userTenants: UserTenant[];
    constructor(data?: Partial<User>);
}
export interface UserRelations {
    defaultTenant: TenantWithRelations;
    credentials: UserCredentialsWithRelations;
    userTenant: UserTenantWithRelations;
}
export type UserWithRelations = User & UserRelations;
export type UserTypes = ModelTypes<User, typeof User.prototype.id, UserRelations>;
