"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OtpSenderProvider = void 0;
const tslib_1 = require("tslib");
const berrors_1 = require("berrors");
const context_1 = require("@loopback/context");
const keys_1 = require("./keys");
let OtpSenderProvider = exports.OtpSenderProvider = class OtpSenderProvider {
    constructor(sendEmail, sendSms) {
        this.sendEmail = sendEmail;
        this.sendSms = sendSms;
    }
    value() {
        return async (otp, request) => {
            if (request.conn === 'email') {
                return this.sendEmail(otp, request);
            }
            else if (request.conn === 'sms') {
                return this.sendSms(otp, request);
            }
            else {
                throw new berrors_1.BErrors.BadRequest('Unsupported otp request connection type: ' + request.conn);
            }
        };
    }
};
exports.OtpSenderProvider = OtpSenderProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, context_1.inject)(keys_1.VerifyBindings.OTP_EMAIL_SENDER_PROVIDER)),
    tslib_1.__param(1, (0, context_1.inject)(keys_1.VerifyBindings.OTP_SMS_SENDER_PROVIDER)),
    tslib_1.__metadata("design:paramtypes", [Function, Function])
], OtpSenderProvider);
//# sourceMappingURL=otp-sender.provider.js.map