import { Getter } from '@loopback/core';
import { BelongsToAccessor, juggler } from '@loopback/repository';
import { DefaultUserUpdatableCrudRepository, EntityClass, IAuthUserWithPermissions } from '@loopx/core';
import { TenantConfigTypes, TenantTypes } from '../models';
import { TenantRepository } from './tenant.repository';
export declare class TenantConfigRepository<C extends TenantConfigTypes = TenantConfigTypes, T extends TenantTypes = TenantTypes> extends DefaultUserUpdatableCrudRepository<C['Model'], C['ID'], C['Relations']> {
    protected tenantRepositoryGetter: Getter<TenantRepository<T, C>>;
    readonly tenant: BelongsToAccessor<T['Model'], C['ID']>;
    constructor(dataSource: juggler.DataSource, getCurrentUser: Getter<IAuthUserWithPermissions | undefined>, tenantRepositoryGetter: Getter<TenantRepository<T, C>>, entityClass?: EntityClass<C['Model']>);
}
