"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserCredentialsRepository = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const soft_delete_1 = require("@bleco/soft-delete");
const models_1 = require("../models");
const types_1 = require("../types");
let UserCredentialsRepository = exports.UserCredentialsRepository = class UserCredentialsRepository extends soft_delete_1.DefaultSoftCrudRepository {
    constructor(dataSource, userRepositoryGetter, entityClass = models_1.UserCredentials) {
        super(entityClass, dataSource);
        this.userRepositoryGetter = userRepositoryGetter;
        this.user = this.createBelongsToAccessorFor('user', userRepositoryGetter);
        this.registerInclusionResolver('user', this.user.inclusionResolver);
    }
};
exports.UserCredentialsRepository = UserCredentialsRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.AuthDbSourceName}`)),
    tslib_1.__param(1, repository_1.repository.getter('UserRepository')),
    tslib_1.__metadata("design:paramtypes", [repository_1.juggler.DataSource, Function, Object])
], UserCredentialsRepository);
//# sourceMappingURL=user-credentials.repository.js.map