import { Getter } from '@loopback/core';
import { BelongsToAccessor, juggler } from '@loopback/repository';
import { DefaultUserUpdatableCrudRepository, EntityClass, IAuthUserWithPermissions } from '@loopx/core';
import { UserLevelPermissionTypes, UserTenant } from '../models';
import { UserTenantRepository } from './user-tenant.repository';
export declare class UserLevelPermissionRepository<ULP extends UserLevelPermissionTypes = UserLevelPermissionTypes> extends DefaultUserUpdatableCrudRepository<ULP['Model'], ULP['ID']> {
    protected userTenantRepositoryGetter: Getter<UserTenantRepository>;
    readonly userTenant: BelongsToAccessor<UserTenant, ULP['ID']>;
    constructor(dataSource: juggler.DataSource, getCurrentUser: Getter<IAuthUserWithPermissions | undefined>, userTenantRepositoryGetter: Getter<UserTenantRepository>, entityClass?: EntityClass<ULP['Model']>);
}
