import { Getter } from '@loopback/core';
import { BelongsToAccessor, juggler } from '@loopback/repository';
import { DefaultUserUpdatableCrudRepository, EntityClass, IAuthUserWithPermissions } from '@loopx/core';
import { UserLevelResource, UserLevelResourceTypes, UserTenant } from '../models';
import { UserTenantRepository } from './user-tenant.repository';
export declare class UserLevelResourceRepository<ULR extends UserLevelResourceTypes = UserLevelResourceTypes> extends DefaultUserUpdatableCrudRepository<ULR['Model'], ULR['ID']> {
    protected userTenantRepositoryGetter: Getter<UserTenantRepository>;
    readonly userTenant: BelongsToAccessor<UserTenant, typeof UserLevelResource.prototype.id>;
    constructor(dataSource: juggler.DataSource, getCurrentUser: Getter<IAuthUserWithPermissions | undefined>, userTenantRepositoryGetter: Getter<UserTenantRepository>, entityClass?: EntityClass<ULR['Model']>);
}
