import { RequestContext } from '@loopback/rest';
import { ILogger } from '@loopx/core';
import { LoginType } from '../enums';
import { AuthClient, User } from '../models';
import { TokenResponse } from '../modules/auth';
import { JWTSignerFn, JwtPayloadFn } from '../providers';
import { LoginActivityRepository, RefreshTokenRepository, UserRepository, UserTenantRepository } from '../repositories';
import { ActorId, ExternalTokens, IUserActivity } from '../types';
interface UserAware {
    userId?: string;
    user?: User;
}
export declare class TokenService {
    private readonly ctx;
    private readonly userRepo;
    private readonly userTenantRepo;
    private readonly refreshTokenRepo;
    private readonly getJwtPayload;
    private readonly jwtSigner;
    private readonly logger;
    private readonly loginActivityRepo;
    private readonly actorKey;
    private readonly userActivity?;
    constructor(ctx: RequestContext, userRepo: UserRepository, userTenantRepo: UserTenantRepository, refreshTokenRepo: RefreshTokenRepository, getJwtPayload: JwtPayloadFn, jwtSigner: JWTSignerFn<object>, logger: ILogger, loginActivityRepo: LoginActivityRepository, actorKey: ActorId, userActivity?: IUserActivity | undefined);
    createJWT(payload: UserAware & ExternalTokens, authClient: AuthClient, loginType: LoginType, tenantId?: string): Promise<TokenResponse>;
    private markUserActivity;
}
export {};
